Request
Provide your bearer token in the Authorization
header when making requests to protected resources. Example:Authorization: Bearer ********************
Body Params application/json
{
"first_name": "Clerk",
"last_name": "Kent",
"email": "user@example.com",
"phone": "+2348066789623"
}
Request Code Samples
curl --location --globoff 'https://api.enviablelogistics.com/update-profile' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"first_name": "Clerk",
"last_name": "Kent",
"email": "user@example.com",
"phone": "+2348066789623"
}'
Responses
application/json
{"data":{"id":1,"first_name":"Clerk","last_name":"Kent","email":"user@example.com","phone":"+2348066789623","role":"admin"},"message":"Profile updated successfully"}
Modified at 2024-09-18 19:38:59